// Thomas Grenier - Creatis


res = 1000;
n=5;

h=[10 7 4 5 10];
som_h = h*ones(n,1);

x=linspace(1,100,res);

//sg(1)=30;
//sg(2)=45;
//sg(3)=50;
sg(4)=60;
sg(5)=80;

sg(1)=30;
sg(2)=30;
sg(3)=30;

scf();
plot( sg([1:n]), 0.01,'b+');

// Profil Gaussien
function [y]=k_gauss(x)
y = exp(-x/2) / sqrt(2*3.1415);
endfunction

profil = zeros(n,res);
estimation = zeros(1,res);


for j=1:n,
  for i=1:res,
    a = (x(i)-sg(j)) * (x(i)-sg(j)) / (h(j)*h(j));
    profil(j,i) = k_gauss( a )/h(j);
    estimation(1,i) = estimation(1,i) + k_gauss( a )/h(j);
  end;
plot(x,profil(j,:)./n, 'k');  
end;


plot(x,estimation(1,:)./n, 'r');  


