function [x_n]=ProcedureMeanShift( x, Xi, h, epsilon)
// x : point  deplacer
// Xi : echantillon pour l'estimation
// h : vecteur d'echelles
// epsilon : distance mini accpetable
// x_n : resultat : x  l'iteration suivante

x_tmp = x;
x_n = DParzen( x_tmp, Xi, h);
dx = x_tmp - x_n;
d = dx(1)*dx(1)/(h(1)*h(1)) + dx(2)*dx(2)/(h(2)*h(2)) + dx(3)*dx(3)/(h(3)*h(3));
// calcul deplacement 
while  d > epsilon,
  x_n = DParzen( x_tmp, Xi, h);
  dx = x_tmp - x_n;
  d = dx(1)*dx(1)/(h(1)*h(1)) + dx(2)*dx(2)/(h(2)*h(2)) + dx(3)*dx(3)/(h(3)*h(3));
  x_tmp= x_n;
end;  

endfunction;
