// Thomas Grenier - Creatis

// filtrage fukunaga


[nb_X, nb_Y]= size(ima);
nb_Xi = nb_X*nb_Y*0.05;
nb_it = 20;


PlotImage( ima );

f_ima = ima;
Y=[grand( nb_Xi , 1 , 'unf', 1, nb_X ), grand( nb_Xi , 1 , 'unf', 1, nb_Y ), ones(nb_Xi,1)];
for i=1:nb_Xi,
  Y(i,3)= f_ima( Y(i,1), Y(i,2) );
end;
h=EstimationH_Gauss(Y)

Yn = Y;
for i=1:nb_it,
  disp( 'itration'+string(i))
  for j=1:nb_Xi;
    Yn(j,:) = DParzen_G(Y(j,:), Y, h);
  end;
  Y = Yn;
end;  

for i=1:nb_X,
  disp('Ligne :'+string(i));
  for j=1:nb_Y,
    //tmp = DParzen_G( [ i, j, f_ima(i,j)], Y, h);
    tmp=ProcedureMeanShift([ i, j, f_ima(i,j)], Y, h, 0.1);
    f_ima(i,j) = tmp(3);
  end;
end;
PlotImage( f_ima );  


